Subject: Re: Job | Tech Support Remote Screening
From: Sagar Walia <[email-masked]>
To: [email-masked]
Date: Mon, 18 Jan 2021 19:18:10 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

5947 Applicants

View All

Sagar Walia
A motivated professional adept at communication and decision-making proficiency with experience in Business Operations, Business development/Sales, Product strategy, Retention and Partnerships(B2B) with an overall work experience of over 4 years. I believe that my professional background and industrialist drive helps me in troubleshooting any challenges that come my way. As a person who thrives in high-pressure and fast-paced situations, I strive for positive results through the application of my Business Intelligence and Strong Analytical Skills. Additionally, I possess expertise in Business operations and strategy and an aptitude for optimizing performance and motivating colleagues. In any position, I am able to visualize success and identify innovative and effective strategies for achieving it. I have artfully balanced workplace objectives and productive relationships, inspiring strategies and insightful suggestions to achieve a competitive business edge.

Shortlist

Reject

Current Designation Business Operations Associate (Growth and Strategy)
Current Company Campk12
Notice Period 15 Days or less
Previous Designation Business Operations and Strategy Associate
Previous Company Kareplus

Contact Details
Mobile:

Exp
1 Yr 4 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Delhi / NCR
Education
BA hons BBE
Delhi University - Other
Key Skills
team handling, troubleshooting, client administration, supervision, reporting, presentation skills, Analytics, Sales, Marketing, Business Intelligence, HTML, SQL, Business Operations, Database Management System, Product Management, MS Office, Customer Retention

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem